-- | Default values for the data types in "Cartel.Ast".  These
-- defaults are genrally filled in with blank values.  Use these
-- default values where you can; by doing so you help future-proof
-- your code.  Use the default as a starting point and fill in the
-- values that you need.
module Cartel.Defaults where

import qualified Cartel.Ast as A

properties :: A.Properties
properties = A.Properties
  { A.prName = ""
  , A.prVersion = A.Version []
  , A.prCabalVersion = (1, 20)
  , A.prBuildType = A.Simple
  , A.prLicense = A.BSD3
  , A.prLicenseFile = "LICENSE"
  , A.prLicenseFiles = []
  , A.prCopyright = ""
  , A.prAuthor = ""
  , A.prMaintainer = ""
  , A.prStability = ""
  , A.prHomepage = ""
  , A.prBugReports = ""
  , A.prPackageUrl = ""
  , A.prSynopsis = ""
  , A.prDescription = []
  , A.prCategory = ""
  , A.prTestedWith = []
  , A.prDataFiles = []
  , A.prDataDir = ""
  , A.prExtraSourceFiles = []
  , A.prExtraDocFiles = []
  , A.prExtraTmpFiles = []
  }

cabal :: A.Cabal
cabal = A.Cabal
  { A.cProperties = properties
  , A.cRepositories = []
  , A.cFlags = []
  , A.cLibrary = Nothing
  , A.cExecutables = []
  , A.cTestSuites = []
  , A.cBenchmarks = []
  }

